Restaurar publicação
curl --request POST \
--url https://api.olie.ai/api/management/form-publications/{form_publication_id}/restore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data'import requests
url = "https://api.olie.ai/api/management/form-publications/{form_publication_id}/restore"
payload = "-----011000010111000001101001\r\n-----011000010111000001101001--"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "multipart/form-data"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.olie.ai/api/management/form-publications/{form_publication_id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true
}{
"response": false,
"message": "form_publication_model_not_found",
"error": "No query results for model [App\\Models\\FormPublication] 01a0cb22-5af9-7290-a243-736378cb5350"
}form-publications
Restaurar publicação
Restaura uma publicação excluída, com a mesma configuração e o mesmo link público de antes da exclusão.
POST
/
api
/
management
/
form-publications
/
{form_publication_id}
/
restore
Restaurar publicação
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID (UUID) da publicação excluída.
Example:
"019b8f40-ce05-73b8-8c20-b29eb6e5b299"
Body
multipart/form-data
The body is of type object.
Response
Sucesso
Confirmação da operação.
Indicador de sucesso da requisição. Sempre true nas respostas bem-sucedidas.
Was this page helpful?